// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#include <qwidget.h>
#include <qlabel.h>
#include <qpopupmenu.h>
#include <qmenubar.h>
#include <qapplication.h>
#include <qcursor.h>
#include <qstring.h>
#include <qpixmap.h>
#include <qpainter.h>
#include <qmessagebox.h>




#include <qapplication.h>

#include <qlistbox.h>
#include <qcombobox.h>
#include <qgroupbox.h>
#include <qpushbutton.h>
#include <qmessagebox.h>
#include <qspinbox.h> 
#include <qstatusbar.h>
#include <qprogressbar.h>
#include <qstring.h>
#include <qtooltip.h>
#include <qinputdialog.h>
#include <qfile.h>
#include <qfiledialog.h>
#include <qprinter.h> 
#include <qpainter.h>
#include <qfont.h> 
#include <qpaintdevicemetrics.h> 
#include <qapplication.h>
#include <qdatetime.h>
#include <qlayout.h>
#include <qmenubar.h>
#include <qcursor.h>
#include <qprocess.h>
#include <qnamespace.h> 
#include <qaccel.h> 
#include "OmSourceInformationMenu.h"
/***************************************************************
*
**************************************************************/
void InformationMenu(QWidget *parent, QPopupMenu *contextMenu)
{

  //    contextMenu = new QPopupMenu( parent );
 

   
    QLabel *caption = new QLabel( "<font color=darkblue><u><b>"
          "Information menu</b></u></font>", parent );
    caption->setAlignment( Qt::AlignCenter );
    contextMenu->insertItem( caption );
    contextMenu->insertItem( "&Obs details",  parent, 
          SLOT(showObservationDetails()), Qt::CTRL+Qt::Key_O );
 
    contextMenu->insertItem( "&Image details",  parent, 
          SLOT(showImageDetails()), Qt::CTRL+Qt::Key_I );

    contextMenu->insertItem( "&Qt details",  parent, 
          SLOT( aboutQt() ), Qt::CTRL+Qt::Key_Q );







    
    QPopupMenu *submenu = new QPopupMenu( parent );
    Q_CHECK_PTR( submenu );
    //    submenu->insertItem( "&Print to printer", parent, SLOT(printer()) );
    //    submenu->insertItem( "Print to &file", parent, SLOT(file()) );
    //    submenu->insertItem( "Print to fa&x", parent, SLOT(fax()) );
    //    contextMenu->insertItem( "&Print", submenu );
    //    contextMenu->exec( QCursor::pos() );
       
   
};



