// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// -*-C++-*-
//
// File:      OmSourceLog.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Wed Oct  2 15:26:29 CEST 2002
// Usage:     -
// Info:      -

#ifndef OmSourceLog_h
#define OmSourceLog_h
#include <qtable.h>
#include <qstring.h>
class OmSourceParameter;

class OmSourceLog : public QTable
{
  Q_OBJECT
public:
  OmSourceLog(QWidget* parent=0, const char* name=0);
  virtual ~OmSourceLog();

signals:

public  slots:
  void add(const OmSourceParameter& s);
  QString getLine(const int index);

  void restart();
private slots:

protected:
  // only derived classes can use these

private:
  // member functions
  OmSourceLog(const OmSourceLog&);            // copy constructor (disabled)
  OmSourceLog& operator=(const OmSourceLog&); // assignment (disabled)

  // member data
  //  QTable* _table;
  int     _current;
};



#endif



