// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef GRAPH_h
#define GRAPH_h
class QString;
class QPaintEvent;
class QPainter;
class QWidget;
class OmSourceParameter;
class QString;
class Graph
{
  
    
      
      public:
    Graph(QWidget *parent, OmSourceParameter *source = 0, 
         QString xLabel = " ", QString yLabel = " ", QString title = " ");
         
   
    void drawGraph(); 

    virtual ~Graph(); 

    virtual void loadData(int n) = 0; 
   

 public:
  
    void getMinMax();
    void drawGraph(QPainter *painter);
    QWidget *_parent;
    OmSourceParameter *_source;

    double *_x, *_y, *_y1;

    double _minX, _maxX;
    double _minY, _maxY;
    int _size;        
    int _ninX, _ninY;
    QString _xLabel;
    QString _yLabel;
    QString _title;
  
};
/***************************************************************
*
**************************************************************/
class OmSourceGraph : public Graph
{

public:

  OmSourceGraph(QWidget *parent, OmSourceParameter *source = 0,
		QString xLabel = " ", QString yLabel = " ", QString title = " ") :
  
         Graph(parent, source, xLabel, yLabel, title) {};
  
     
    
   ~OmSourceGraph() {};
   virtual void loadData(int n); 
    
};
#endif











